/* weak1.c (emx+gcc) */

#include <stdio.h>

extern const char *weak (void);

int main (int argc, char *argv[])
{
  const char *t;

  if (argc != 2)
    {
      puts ("Incorrect command line");
      return 1;
    }

  t = weak ();
  puts (t);
  return strcmp (t, argv[1]) != 0 ? 1 : 0;
}
